# The LearningOnline Network with CAPA
# essay (ungraded) style responses
#
# $Id: essayresponse.pm,v 1.7 2002/01/18 17:45:30 albertel Exp $
#
# Copyright Michigan State University Board of Trustees
#
# This file is part of the LearningOnline Network with CAPA (LON-CAPA).
#
# LON-CAPA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LON-CAPA is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LON-CAPA; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# /home/httpd/html/adm/gpl.txt
#
# http://www.lon-capa.org/
#
# 4/3 Guy
package Apache::essayresponse;
use strict;

BEGIN {
  &Apache::lonxml::register('Apache::essayresponse',('essayresponse'));
}

sub start_essayresponse {
  my ($target,$token,$tagstack,$parstack,$parser,$safeeval,$style)=@_;
  my $result;
  my $id = &Apache::response::start_response($parstack,$safeeval);
  if ($target eq 'meta') {
    $result=&Apache::response::meta_package_write('essayresponse');
  }
  return $result;
}

sub end_essayresponse {
  my ($target,$token,$tagstack,$parstack,$parser,$safeeval,$style)=@_;
  if ( $target eq 'grade' ) {
    if ( defined $ENV{'form.submitted'}) {
      my $id = $Apache::inputtags::response['-1'];
      my $response = $ENV{'form.HWVAL'.$Apache::inputtags::response['-1']};
      if ( $response =~ /[^\s]/) {
	my $part=$Apache::inputtags::part;
	$Apache::lonhomework::results{"resource.$part.$id.submission"}=$response;
	$Apache::lonhomework::results{"resource.$part.$id.awarddetail"}="SUBMITTED";
	my %previous=&Apache::response::check_for_previous($response,$part,$id);
	&Apache::response::handle_previous(\%previous,'SUBMITTED');
      }
    }
  }
  &Apache::response::end_response;
  return '';
}

1;
__END__
